#define pmap_tcp_fwd(PROGRAM, PROTO, POLICY_TYPE, PROTO_PARAMS, POLICY_PARAMS, DATA) \
if (tcp_type()) { \
	if (TCP_dstport == PORTMAP_port) { \
		if (match(portmap_program(), PROGRAM)) { \
			if (fwd(PROTO, POLICY_TYPE, PROTO_PARAMS, POLICY_PARAMS, DATA)) { \
				halt; \
			} \
		} \
	}\
}
